
#property copyright "Scott M"
#property link      "scottmaclean24@gmail.com"
#property version   "1.00"

#include <Trade\Trade.mqh>

//GLOBAL VARIABLES//

input int RSI_Period = 14;//RSI Period
input int RSI_Level_Low = 20;//RSI Level Low

int RSI_Level_High = 100 - RSI_Level_Low;
CTrade trade;
MqlRates rates[];
double ask = SymbolInfoDouble(_Symbol,SYMBOL_ASK);
double bid = SymbolInfoDouble(_Symbol,SYMBOL_BID);

double rsiarray[], movingarray[];
int rsihandle, mahandle;

//END OF GLOBAL VARIABLES//

int OnInit()
  {
  
rsihandle = iRSI(_Symbol,PERIOD_CURRENT,RSI_Period,PRICE_CLOSE); //setting rsi handle to indicator
  
ArraySetAsSeries(rsiarray,true); //setting count from current candle being 0

CopyBuffer(rsihandle,0,0,3,rsiarray); //storing information from rsi indicator in array

   return(INIT_SUCCEEDED);
  }

void OnDeinit(const int reason)
  {
IndicatorRelease(rsihandle);
  }

void OnTick()
  {
  
//EXIT CONDITIONS//

if(PositionSelect(_Symbol)==true) // we have a position
  {
   if(rsiarray[2] < RSI_Level_High && rsiarray[1] >= RSI_Level_High)//close buy positions
     {
      if(PositionGetInteger(POSITION_TYPE) == POSITION_TYPE_BUY)
        {
         trade.PositionClose(_Symbol);
        }
     }
   if(rsiarray[2] > RSI_Level_Low && rsiarray[1] <= RSI_Level_Low)//close sell positions
     {
      if(PositionGetInteger(POSITION_TYPE) == POSITION_TYPE_SELL)
        {
         trade.PositionClose(_Symbol);
        }
     }  
  }
  
//ENTRY CONDITIONS//  
  
  if(PositionSelect(_Symbol) == false) //we do not have a position
    {
     if(rsiarray[2] > RSI_Level_Low && rsiarray[1] <= RSI_Level_Low)//buy conditions
       {
        trade.PositionOpen(_Symbol,ORDER_TYPE_BUY,0.01,ask,0,0,NULL);
       }
     else if(rsiarray[2] < RSI_Level_High && rsiarray[1] >= RSI_Level_High)//sell conditions
       {
        trade.PositionOpen(_Symbol,ORDER_TYPE_SELL,0.01,bid,0,0,NULL);
       }
    }
  }

